.jc-sb { justify-content: space-between; }
.jc-c  { justify-content: center; }
.jc-fe { justify-content: flex-end; }

.ai-fs { align-items: flex-start; }
.ai-fe { align-items: flex-end; }
.ai-s  { align-items: stretch; }
.ai-c  { align-items: center; }

.fd-c  { flex-direction: column; }
.fd-r  { flex-direction: row; }

.fw-nw { flex-wrap: nowrap; }

.flex-gap-1 { gap: 0.25em; }
.flex-gap-2 { gap: 0.5em; }
.flex-gap-3 { gap: 1em; }
.flex-gap-4 { gap: 1.5em; }

.gap-1 { gap: 0.25em; }
.gap-2 { gap: 0.5em; }
.gap-3 { gap: 1em; }
.gap-4 { gap: 1.5em; }

@media (min-width: 576px) {
    .ai-sm-fs {
        align-items: flex-start !important;
    }
    .ai-sm-fe {
        align-items: flex-end !important;
    }
    .jc-sm-fe {
        justify-content: flex-end !important;
    }
}

@media (min-width: 768px) {
    .ai-md-c {
        align-items: center !important;
    }
}


.col-1-10 {
    width: 10%;
}
.col-2-10 {
    width: 20%;
}
.col-3-10 {
    width: 30%;
}
.col-4-10 {
    width: 40%;
}
.col-5-10 {
    width: 50%;
}
.col-6-10 {
    width: 60%;
}
.col-7-10 {
    width: 70%;
}
.col-8-10 {
    width: 80%;
}
.col-9-10 {
    width: 90%;
}
.col-10-10 {
    width: 100%;
}





.col-5-100 {
    width: 5%;
}
.col-15-100 {
    width: 15%;
}
.col-25-100 {
    width: 25%;
}
.col-35-100 {
    width: 35%;
}
.col-45-100 {
    width: 45%;
}
.col-55-100 {
    width: 55%;
}
.col-65-100 {
    width: 65%;
}
.col-75-100 {
    width: 75%;
}
.col-85-100 {
    width: 85%;
}
.col-95-100 {
    width: 95%;
}


.dropdown.input-dropdown:is(
    .size-5,
    .size-6,
    .size-7,
    .size-8,
    .size-9,
    .size-10,
) .dropdown-menu {
    overflow: auto;
    --item-count: 5;
            /* + (1rem * 1.5) */
    max-height: calc(
        (
            (0.25rem * 2)
            + 32px
        )
        * var(--item-count)
        + 0.5rem
        + 0.25rem
    );
}
.dropdown.input-dropdown.size-5 .dropdown-menu {
    --item-count: 5;
}
.dropdown.input-dropdown.size-6 .dropdown-menu {
    --item-count: 6;
}
.dropdown.input-dropdown.size-7 .dropdown-menu {
    --item-count: 7;
}
.dropdown.input-dropdown.size-8 .dropdown-menu {
    --item-count: 8;
}
.dropdown.input-dropdown.size-9 .dropdown-menu {
    --item-count: 9;
}
.dropdown.input-dropdown.size-10 .dropdown-menu {
    --item-count: 10;
}
.cursor-pointer {
    cursor: pointer;
}

.vis-hid { visibility: hidden; }

.no-after::after {
    content: none;
}

.bootstrap-select .bs-searchbox + * > ul:not(:empty) {
    margin-top: 0.3em !important;
}
.bootstrap-select .no-results {
    padding: 0.5em 0.75em;
    margin: 0;
    color: #0c5460 !important;
    background-color: #d1ecf1;
}
/* .bootstrap-select .dropdown-toggle .filter-option-inner-inner {
    text-overflow: ellipsis;
} */
.bootstrap-select .dropdown-toggle .filter-option-inner-inner {
    white-space: normal;
}

input[type=number].form-control {
    user-select: none;
}

.input-group-text {
    color: inherit;
}

.progress-bar {
    background-color: hsl(210deg 100% 60%);
}
.progress-bar.bg-success {
    background-color: hsl(135deg 60% 50%)!important;
}


.op-10 { opacity: 1.0; }
.op-9  { opacity: 0.9; }
.op-8  { opacity: 0.8; }
.op-7  { opacity: 0.7; }
.op-6  { opacity: 0.6; }
.op-5  { opacity: 0.5; }
.op-4  { opacity: 0.4; }
.op-3  { opacity: 0.3; }
.op-2  { opacity: 0.2; }
.op-1  { opacity: 0.1; }


.mt-6 { margin-top: 5rem !important; }
.mb-6 { margin-bottom: 5rem !important; }

@media (min-width: 576px) {
    .mt-sm-6, .my-sm-6 {
        margin-top: 5rem!important;
    }
    .mb-sm-6, .my-sm-6 {
        margin-bottom: 5rem!important;
    }
}

@media (min-width: 768px) {
    .mt-md-6, .my-md-6 {
        margin-top: 5rem!important;
    }
    .mb-md-6, .my-md-6 {
        margin-bottom: 5rem!important;
    }
}

.mt-7 { margin-top: 7.5rem !important; }
.mb-7 { margin-bottom: 7.5rem !important; }

.mt-8 { margin-top: 11rem !important; }
.mb-8 { margin-bottom: 11rem !important; }


.mw-25 { max-width: 25% !important; }
.mw-50 { max-width: 50% !important; }
.mw-75 { max-width: 75% !important; }
.ta-r  { text-align: right; }
.ta-c  { text-align: center; }

.min-w-auto   { min-width: auto; }
.h-a   { height: auto !important; }

.fs-1   { font-size: 0.5em !important; }
.fs-2   { font-size: 0.75em !important; }
.fs-3   { font-size: 1.00em !important; }
.fs-4   { font-size: 1.25em !important; }
.fs-5   { font-size: 1.50em !important; }
.fs-6   { font-size: 1.75em !important; }
.fs-7   { font-size: 2em !important; }
.fs-8   { font-size: 2.25em !important; }
.fs-9   { font-size: 2.5em !important; }
.fs-10   { font-size: 3em !important; }

table.h-fw-400 thead th,
.fw-400 {
    font-weight: 400;
}

table.h-fw-500 thead th,
.fw-500 {
    font-weight: 500;
}

table.h-fw-600 thead th,
.fw-600 {
    font-weight: 600;
}

.fw-500 { font-weight: 500; }
.fw-600 { font-weight: 600; }

.fw-500-th th { font-weight: 500; }
.fw-600-th th { font-weight: 600; }

.fw-inherit { font-weight: inherit; }

.color-danger {
    color: hsla(0, 60%, 50%, 0.8);
}
.color-natural {
    color: hsla(220, 70%, 50%, 0.8);
}


